Skip to main content
GET
Get enrichment job

Authorizations

Authorization
string
header
required

Your API key, sent as is (no Bearer prefix). Create it in the Leadsforge app under Settings -> API & MCP.

Path Parameters

jobID
string
required

Job ID

Response

Job status

channel
enum<string>
Available options:
email,
phone,
linkedin
clientRequestID
string
completedAt
string
consumedCredits
number
createdAt
string
failed
integer
jobID
string
processed
integer
reservedCredits
number
resultsURL
string

ResultsURL is the path of this job's results on the API host, e.g. /public/v1/enrichment/jobs/{jobID}/results.

status
enum<string>
Available options:
in_progress,
completed,
failed
statusURL
string

StatusURL is the path of this job on the API host, e.g. /public/v1/enrichment/jobs/{jobID}.

succeeded
integer
total
integer
updatedAt
string
webhookURL
string